clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::CodeGen::CodeGenModule::Structor Struct Reference

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CodeGenModule.h"`

Collaboration diagram for clang::CodeGen::CodeGenModule::Structor:
[legend]

## Public Member Functions
| Structor ()
| Structor (int Priority, llvm::Constant *Initializer, llvm::Constant *AssociatedData)

## Public Attributes
int | Priority
llvm::Constant * | Initializer
llvm::Constant * | AssociatedData

## Detailed Description

Definition at line 279 of file CodeGenModule.h.

## Constructor & Destructor Documentation

## ◆ Structor() [1/2]

clang::CodeGen::CodeGenModule::Structor::Structor | ( |  | ) |
| inline

Definition at line 280 of file CodeGenModule.h.

## ◆ Structor() [2/2]

clang::CodeGen::CodeGenModule::Structor::Structor | ( | int | Priority,
|  | llvm::Constant * | Initializer,
|  | llvm::Constant * | AssociatedData
| ) |  |
| inline

Definition at line 281 of file CodeGenModule.h.

## Member Data Documentation

## ◆ AssociatedData

llvm::Constant* clang::CodeGen::CodeGenModule::Structor::AssociatedData

Definition at line 287 of file CodeGenModule.h.

## ◆ Initializer

llvm::Constant* clang::CodeGen::CodeGenModule::Structor::Initializer

Definition at line 286 of file CodeGenModule.h.

## ◆ Priority

int clang::CodeGen::CodeGenModule::Structor::Priority

Definition at line 285 of file CodeGenModule.h.

The documentation for this struct was generated from the following file:

- lib/CodeGen/CodeGenModule.h